#!/bin/sh
#
# PROVIDE: be-agent
# REQUIRE: LOGIN
# BEFORE: DAEMON
# KEYWORD: shutdown

#
# Add the following lines to /etc/rc.conf to enable be-agent:
#
#be_agent_enable="YES"
#

. /etc/rc.subr

name=be_agent
rcvar=`set_rcvar`

command="/usr/local/bin/agent.be"

# set defaults

be_agent_enable=${be_agent_enable:-"NO"}
be_agent_cfg=${be_agent_cfg:-"/usr/local/etc/be-agent.cfg"}
be_agent_flags=${be_agent_flags:-"-c ${be_agent_cfg} &"}

load_rc_config ${name}
run_rc_command "$1"
